<?php 
/**
 *
 * @package Luzuk
 */
if(get_theme_mod('testimonials_area_disable') != 'on' ){ ?> 

    <?php 
      if( get_theme_mod('testimonials_areaTpadding',true) ) {
        $testimonials_areaTpadding = 'padding-top:'.esc_attr(get_theme_mod('testimonials_areaTpadding')).';';
      }
      if( get_theme_mod('testimonials_areaBpadding',true) ) {
        $testimonials_areaBpadding = 'padding-bottom:'.esc_attr(get_theme_mod('testimonials_areaBpadding')).';';
      }
      if( get_theme_mod('testimonials_areaOpacity',true) ) {
      $testimonials_areaOpacity = 'opacity:'.esc_attr(get_theme_mod('testimonials_areaOpacity')).';';
      }
    ?>  
  <div class="testimonials-area " id="testimonials" style="<?php echo esc_attr($testimonials_areaTpadding); ?>" "<?php echo esc_attr($testimonials_areaBpadding); ?>">

    <?php
      $testimonials_page_id = get_theme_mod('testimonials_page');
      $testimonials_subtitle = get_theme_mod('testimonials_subtitle', 'What People Says About Us'); 
      $testimonials_maintitle = get_theme_mod('testimonials_title', 'Testimonials');
    ?>
      <div class="container">
        <div class="row justify-content-center">
          <?php if($testimonials_maintitle|| $testimonials_subtitle) { ?>
               <div class="Heading-conn"> 
            <div class="section-title">
               <p><?php echo ($testimonials_subtitle);  ?></p>
              <h2><?php echo ($testimonials_maintitle);  ?></h2>
            </div>
               </div> 
          <?php }?>
        </div>
      
          <div class="testimonials-single-area">
           <!--  <div class="test-brd"> --> 
              <div class="owl-carousel owl-theme">   
                 
              <?php 
              $showStatic = true;
              $cols = get_theme_mod('test_npp_count', 5);
              $cols++;
              switch($cols){
                case 1:
                  $colCls = 'col-md-12 col-sm-12 col-xs-12';
                  break;
                case 2:
                  $colCls = 'col-md-6 col-sm-6 col-xs-12';
                  break;
                case 3:
                case 5:
                case 6:
                case 7:
                case 8:
                case 9:
                case 10:
                case 11:
                case 12:
                  $colCls = 'col-md-4 col-sm-6 col-xs-12';
                  break;
                default:
                  $colCls = 'col-md-3 col-sm-6 col-xs-12';
                  break;
              }
              $icons = array(1=>'heart', 2=>'star', 3=>'flash', 4=>'bell',5=>'heart', 6=>'star', 7=>'flash', 8=>'bell'); 

              for( $i = 1; $i <= $cols; $i++ ){
                $testimonials_page_id = get_theme_mod('testimonials_page'.$i); 
                $testimonials_page_icon = get_theme_mod('testimonials_page_icon'.$i);
                if($testimonials_page_id){
                  $showStatic = false;
                  echo testimonialShortCode($testimonials_page_id, $isCustomizer=true, $i);
                }
              }
              // adding the static content
              if($showStatic === true){
                for( $i = 1; $i <= $cols; $i++ ){ ?>
                <div class="item innertest-item">        
                  <div class="ts-area-single">
                      <div class="innertest-thumb">
                          <div class="ts-area-thumb">
                            <img class="img-responsive" src="<?php echo get_template_directory_uri(); ?>/images/t4.jpg" alt="">
                          </div>
                      </div>
                     <div class="ts-area-content">
                        <i class="fa fa-quote-right" aria-hidden="true"></i>
                        <div class="ts-area-bx">
                            <div class="con-inn">
                                <h6 class="ts-area-title">Client Name</h6>
                                <div class="text-designation">Designer In Company Name</div>
                            </div>
                          <div class="ts-area-c section-area-text ">   
                            <p>Lorem ipsum dolor sit amet consectetur adipiscing elit sed do eiusmod tempor incididunt ut labore.</p> 
                          </div> 
                        </div>
                      <div class="clearfix"></div>
                    </div>
                </div>
              </div>
                
                <?php 
                }
              } ?>
            </div>
          <!-- </div> -->
          <div class="clearfix"></div>
        </div>
    </div>
  </div>
  
 <script>
        $(document).ready(function() {
          $('.testimonials-area .owl-carousel').owlCarousel({
           slideSpeed : 1500,
            autoplay: true,
              loop: true,
              margin: 30,
              responsiveClass: true,
              responsive: {
                  0: {
                    items: 1,
                    nav: true
                  },
                  600: {
                    items:2,
                    nav: true
                  },
                  1000: {
                    items:2,
                    nav: true,
                    loop: true,
                    margin: 100
                  }
            }
          })
        })
      </script>
  
    <?php }
